Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.gui
Class Grid

    java.lang.Object
      pipe.gui.Grid

All Implemented Interfaces:
  Constants

public class Grid
extends java.lang.Object
implements Constants

Author:
  Peter Kyme To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

Field Summary
`private static boolean` | `enabled`
`private static java.awt.Color` | `gridColor`
`private static int` | `gridCount`
`private static java.awt.geom.GeneralPath` | `gridDisplay`
`private static int` | `gridHeight`
`private static float` | `gridSpacing`
`private static int` | `gridWidth`

Fields inherited from interface pipe.gui.Constants
`ADDTOKEN, ANIMATE, ANNOTATION, ANNOTATION_DEFAULT_FONT, ANNOTATION_DEFAULT_FONT_SIZE, ANNOTATION_LAYER_OFFSET, ANNOTATION_MIN_WIDTH, ANNOTATION_SIZE_OFFSET, ARC, ARC_CONTROL_POINT_CONSTANT, ARC_LAYER_OFFSET, ARC_PATH_PROXIMITY_WIDTH, ARC_PATH_SELECTION_WIDTH, ARC_POINT_LAYER_OFFSET, CREATING, DEFAULT_ELEMENT_TYPE, DELETE, DELTOKEN, DRAW, ELEMENT_FILL_COLOUR, ELEMENT_LINE_COLOUR, ENABLED_TRANSITION_COLOUR, FIRE, GRID, IMMTRANS, LOWEST_LAYER_OFFSET, NOTE_DISABLED_COLOUR, NOTE_EDITING_COLOUR, PLACE, PLACE_TRANSITION_HEIGHT, PLACE_TRANSITION_LAYER_OFFSET, PLACE_TRANSITION_PROXIMITY_RADIUS, PROPERTY_FILE_DESC, PROPERTY_FILE_EXTENSION, RANDOM, RESERVED_BORDER, RESIZE_POINT_DOWN_COLOUR, SELECT, SELECTION_FILL_COLOUR, SELECTION_LAYER_OFFSET, SELECTION_LINE_COLOUR, START, STEPBACKWARD, STEPFORWARD, STOP, TIMEDTRANS`

Constructor Summary
`Grid()`

Method Summary
`private static void` | `createGrid()`
`static void` | `disableGrid()`
`static void` | `drawGrid(java.awt.Graphics g)`
`static boolean` | `enabled()`
`static void` | `enableGrid()`
`static float` | `getGridSpacing()`
`static int` | `getModifiedX(double x)`
`static int` | `getModifiedY(double y)`
`static void` | `increment()`
`static void` | `setGridSpacing(double spacing)`
`static void` | `updateSize(java.awt.Container parent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gridSpacing

    private static float gridSpacing

### gridColor

    private static final java.awt.Color gridColor

### gridDisplay

    private static java.awt.geom.GeneralPath gridDisplay

### enabled

    private static boolean enabled

### gridHeight

    private static int gridHeight

### gridWidth

    private static int gridWidth

### gridCount

    private static int gridCount

Constructor Detail

### Grid

    public Grid()

Method Detail

### createGrid

    private static void createGrid()

### enableGrid

    public static void enableGrid()

### increment

    public static void increment()

### setGridSpacing

    public static void setGridSpacing(double spacing)

### disableGrid

    public static void disableGrid()

### enabled

    public static boolean enabled()

### updateSize

    public static void updateSize(java.awt.Container parent)

### drawGrid

    public static void drawGrid(java.awt.Graphics g)

### getModifiedX

    public static int getModifiedX(double x)

### getModifiedY

    public static int getModifiedY(double y)

### getGridSpacing

    public static float getGridSpacing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD